<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];

if ($_REQUEST["ctr"]) {
    $ctr = $_REQUEST["ctr"];
    $hide = $_REQUEST["hide"];
    $prodtype = $_REQUEST["prodtype"];
    $hide_var = "";

    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = $ctr;

    $ctr--;
    echo "<tr>";
    echo "<td><i class='fa fa-close remove' $hide_var ></i></td>";
    echo "<td><input type='text' name='srno_$ctr' class='srno form-control  form focusFld_$ctr'  value='$mctr' readonly></td>";
    // echo "<td><input type='text' name='barcode_$ctr' class='barcode form-control focusFld_$ctr  form' value='' ></td>";
    echo "<td>";
    echo "<select class='form-control form itemname select2 fetchpart_$ctr' name='itemname_$ctr' style='width:100%'>";
    echo "<option value=''></option>";
    $gitem1 = mysqli_query($conn, "SELECT `code`,`name` FROM `product`  order by name") or die(mysqli_error($conn));
    while ($item1 = mysqli_fetch_array($gitem1)) {
        echo "<option value='$item1[code]'>$item1[name]</option>";
    }
    echo "</select>";
    echo "</td>";
    echo "<td><input type='text' step='any' name='stk_$ctr' class='stk form-control  text-right form' value='0' tabindex='-1' style='background-color:lightgrey;color:blue'></td>";
    echo "<td class='p1'><input type='text' step='any' name='qty_$ctr' id='qty_$ctr'  class='qty form-control  text-right form' value='0'></td>";
    echo "<td class='p2'><input type='text' step='any' name='cost_$ctr' id='rate_$ctr' class='rate form-control text-right  form' value='0' ></td>";
    echo "<td><input type='number' step='any' name='amount_$ctr' id='amount_$ctr' class='amount form-control text-right  form' tabindex='-1' value='0' readonly></td>";
    echo "</tr>";
    $ctr++;
} else {
    echo "ERROR";
}
?>